Package Details: photoflow-git r2637.898050de-1

Git Clone URL: https://aur.archlinux.org/photoflow-git.git (read-only)
Package Base: photoflow-git
Description: Non-destructive, layer-based photo retouching including RAW image development
Upstream URL: http://aferrero2707.github.io/PhotoFlow
Licenses: GPL3
Conflicts: photoflow
Provides: photoflow
Submitter: Joermungand
Maintainer: Joermungand
Last Packager: Joermungand
Votes: 3
Popularity: 0.000000
First Submitted: 2015-10-30 22:24
Last Updated: 2019-08-04 05:28

Latest Comments

1 2 Next › Last »

Joermungand commented on 2019-08-02 11:56

@photofloweditor It is AUR policy that development packages should not be updated on every commit, but only when upstream changes break the build process and the build script needs updating. Even though it points to an older version, the script will always retrieve the latest commit and build against that. The resulting package will also have the correct version. I’m constantly monitoring the git repository for commits and rebuild every time there is one.

photofloweditor commented on 2019-08-02 11:45

@Joermungand The photoflow-git package is currently still pointing to the git version from middle of June. Any chance to update the package? Would you need help for the maintenance?

Thanks!

Joermungand commented on 2018-05-10 15:25

The issue is related with the move to gcc 8.1 and it does not come from PhotoFlow itself, it comes from Darktable. For now, I have temporarily solved it by removing the error warning compiler option for rawspeed (which shouldn’t be disabled, but at least it builds and works). The new PKGBUILD also addresses the issues you’ve raised under photoflow (stable).

dreieck commented on 2018-05-09 13:35

Fails to build for me in rawspeed:

[...]
Scanning dependencies of target rawspeed
[  5%] Building CXX object src/external/rawspeed/src/CMakeFiles/rawspeed.dir/librawspeed/common/Common.cpp.o
[  5%] Building CXX object src/external/rawspeed/src/CMakeFiles/rawspeed.dir/librawspeed/common/Cpuid.cpp.o
[  5%] Building CXX object src/external/rawspeed/src/CMakeFiles/rawspeed.dir/librawspeed/common/DngOpcodes.cpp.o
[  6%] Building CXX object src/external/rawspeed/src/CMakeFiles/rawspeed.dir/librawspeed/common/ErrorLog.cpp.o
[  6%] Building CXX object src/external/rawspeed/src/CMakeFiles/rawspeed.dir/librawspeed/common/Memory.cpp.o
[  6%] Building CXX object src/external/rawspeed/src/CMakeFiles/rawspeed.dir/librawspeed/common/RawImage.cpp.o
/var/tmp/yaourt-tmp-felics/aur-photoflow-git/src/photoflow/src/external/rawspeed/src/librawspeed/common/RawImage.cpp:138:57: error: ‘const’ attribute on function returning ‘void’ [-Werror=attributes]
 void __attribute__((const)) RawImageData::poisonPadding() {
                                                         ^
/var/tmp/yaourt-tmp-felics/aur-photoflow-git/src/photoflow/src/external/rawspeed/src/librawspeed/common/RawImage.cpp:159:59: error: ‘const’ attribute on function returning ‘void’ [-Werror=attributes]
 void __attribute__((const)) RawImageData::unpoisonPadding() {
                                                           ^
/var/tmp/yaourt-tmp-felics/aur-photoflow-git/src/photoflow/src/external/rawspeed/src/librawspeed/common/RawImage.cpp:177:72: error: ‘const’ attribute on function returning ‘void’ [-Werror=attributes]
 void __attribute__((const)) RawImageData::checkRowIsInitialized(int row) {
                                                                        ^
/var/tmp/yaourt-tmp-felics/aur-photoflow-git/src/photoflow/src/external/rawspeed/src/librawspeed/common/RawImage.cpp:191:65: error: ‘const’ attribute on function returning ‘void’ [-Werror=attributes]
 void __attribute__((const)) RawImageData::checkMemIsInitialized() {
                                                                 ^
cc1plus: all warnings being treated as errors
make[2]: *** [src/external/rawspeed/src/CMakeFiles/rawspeed.dir/build.make:128: src/external/rawspeed/src/CMakeFiles/rawspeed.dir/librawspeed/common/RawImage.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:622: src/external/rawspeed/src/CMakeFiles/rawspeed.dir/all] Error 2
make: *** [Makefile:152: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Makepkg was unable to build photoflow-git.

fotonut commented on 2017-06-12 08:36

@Joermungand

Yes it seems to be behaving now. 56% through now, didn't get that far before. I'll let you know otherwise.

Thanks heaps guys!

Joermungand commented on 2017-06-12 07:41

It should work now.

fotonut commented on 2017-06-12 07:17

Hi all, it's still not working for me...

Synchronizing package databases...
Refreshing antergos...
Refreshing antergos...

Starting full system upgrade...
Preparing...

Building photoflow-git...
Cloning into 'photoflow-git'...
remote: Counting objects: 538, done.
remote: Compressing objects: 100% (295/295), done.
remote: Total 538 (delta 254), reused 525 (delta 243)
Receiving objects: 100% (538/538), 53.26 KiB | 0 bytes/s, done.
Resolving deltas: 100% (254/254), done.
==> Making package: photoflow-git r1440.949a5d7-1 (Mon Jun 12 19:10:39 NZST 2017)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Cloning photoflow git repo...
Cloning into bare repository '/tmp/pamac-build-fotonut/photoflow-git/photoflow'...
remote: Counting objects: 15986, done.
remote: Compressing objects: 100% (138/138), done.
remote: Total 15986 (delta 142), reused 139 (delta 76), pack-reused 15771
Receiving objects: 100% (15986/15986), 63.27 MiB | 3.62 MiB/s, done.
Resolving deltas: 100% (11818/11818), done.
==> Validating source files with md5sums...
photoflow ... Skipped
==> Extracting sources...
-> Creating working copy of PhotoFlow git repo...
Cloning into 'photoflow'...
done.
Switched to a new branch 'makepkg'
==> Starting pkgver()...
==> Updated version: photoflow-git r1517.0b4e05a-1
==> Starting build()...
-- The CXX compiler identification is GNU 7.1.1
-- The C compiler identification is GNU 7.1.1
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Found PkgConfig: /usr/bin/pkg-config (found version "0.29.2")
-- Check for LCMS2 availability...
-- Checking for module 'lcms2'
-- Found lcms2, version 2.8
-- Found TIFF: /usr/lib/libtiff.so (found version "4.0.8")
-- Found ZLIB: /usr/lib/libz.so (found version "1.2.11")
-- Found PNG: /usr/lib/libpng.so (found version "1.6.29")
-- Found JPEG: /usr/lib/libjpeg.so
-- Checking for module 'fftw3'
-- Found fftw3, version 3.3.6-pl2
-- Checking for module 'libxml-2.0'
-- Found libxml-2.0, version 2.9.4
-- Checking for module 'libexif'
-- Found libexif, version 0.6.21
-- Found Exiv2: /usr/lib/libexiv2.so (found suitable version "0.25.0", minimum required is "0.12")
-- Checking for module 'OpenEXR'
-- Found OpenEXR, version 2.2.0
-- Checking for module 'orc-0.4'
-- Found orc-0.4, version 0.4.26.1
-- Checking for module 'sigc++-2.0'
-- Found sigc++-2.0, version 2.10.0
-- Checking for module 'pixman-1'
-- Found pixman-1, version 0.34.0
-- Checking for module 'pango'
-- Found pango, version 1.40.6
-- Checking for module 'pangoft2'
-- Found pangoft2, version 1.40.6
-- Checking for module 'glib-2.0'
-- Found glib-2.0, version 2.52.2
-- Checking for module 'gmodule-2.0'
-- Found gmodule-2.0, version 2.52.2
-- Checking for module 'gthread-2.0'
-- Found gthread-2.0, version 2.52.2
-- Checking for module 'gobject-2.0'
-- Found gobject-2.0, version 2.52.2
-- Checking for module 'glibmm-2.4'
-- Found glibmm-2.4, version 2.51.7
-- GLIB_INCLUDE_DIRS: /usr/include/glib-2.0/usr/lib/glib-2.0/include
-- GLIB_LIBRARY_DIRS:
-- Checking for module 'vips>=8.3.3'
-- Found vips, version 8.5.6
-- VIPS_INCLUDE_DIRS: /usr/include/libgsf-1/usr/include/libxml2/usr/include/ImageMagick-6/usr/include/orc-0.4/usr/include/OpenEXR/usr/include/poppler/glib/usr/include/poppler/usr/include/librsvg-2.0/usr/include/gdk-pixbuf-2.0/usr/include/libpng16/usr/include/cairo/usr/include/pixman-1/usr/include/libdrm/usr/include/pango-1.0/usr/include/freetype2/usr/include/libpng16/usr/include/harfbuzz/usr/include/glib-2.0/usr/lib/glib-2.0/include/usr/include/freetype2/usr/include/harfbuzz/usr/include/libpng16/usr/include/glib-2.0/usr/lib/glib-2.0/include
-- VIPS_LIBRARY_DIRS:
-- Checking for module 'gtkmm-2.4'
-- Found gtkmm-2.4, version 2.24.5
-- GTKMM2_FOUND: 1
-- GTKMM3_FOUND:
-- Found Gettext
-- Found msgfmt to convert language file. Translation enabled
-- Msgfmt_FOUND: 1
-- Try OpenMP C flag = [-fopenmp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Success
-- Try OpenMP CXX flag = [-fopenmp]
-- Performing Test OpenMP_FLAG_DETECTED
-- Performing Test OpenMP_FLAG_DETECTED - Success
-- Found OpenMP: -fopenmp
BEFORE add_subdirectory(external/rawspeed)
CMake Error at src/external/rawspeed/CMakeLists.txt:11 (message):
In-source builds are not permitted. Make a separate folder for building:

mkdir build; cd build; cmake ..

Before that, remove the files already created:

rm -rf CMakeCache.txt CMakeFiles


-- Configuring incomplete, errors occurred!
See also "/tmp/pamac-build-fotonut/photoflow-git/src/photoflow/CMakeFiles/CMakeOutput.log".
==> ERROR: A failure occurred in build().
Aborting...

Joermungand commented on 2017-06-11 22:24

It’s just completed building. It works. Thank you!

photofloweditor commented on 2017-06-11 18:31

I just committed a patch that should solve the compilation problem you reported.

Could you try to build once more?

Thanks!

Joermungand commented on 2017-06-10 11:56

Yeah, I figured that out, but then I ran into another error and then got too busy to be able to address the issue any more:

https://gist.github.com/Joermungand/f1144f579daf6f6dadc6571e4abf58d7